# Generated from nest-redis-4.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nest-redis

Name: rubygem-%{gem_name}
Version: 4.0.1
Release: 1%{?dist}
Summary: Object-oriented keys for Redis
License: MIT
URL: http://github.com/remitano/nest-redis
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(cutest)
BuildArch: noarch

%description
It is a design pattern in key-value databases to use the key to simulate
structure, and Nest can take care of that.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.gems
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/makefile
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING
%doc %{gem_instdir}/README.md
%{gem_instdir}/nest-redis.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 4.0.1-1
- Initial package
